package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConexionRutaExcepcionTipoPtoVtaDAO;
import com.rjconsultores.ventaboletos.entidad.ConexionRutaConf;
import com.rjconsultores.ventaboletos.entidad.ConexionRutaExcepcionTipoPtoVta;

@Repository("conexionRutaExcepcionTipoPtoVtaDAO")
public class ConexionRutaExcepcionTipoPtoVtaHibernateDAO extends GenericHibernateDAO<ConexionRutaExcepcionTipoPtoVta, Integer> implements ConexionRutaExcepcionTipoPtoVtaDAO {

	@Autowired
	public ConexionRutaExcepcionTipoPtoVtaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<ConexionRutaExcepcionTipoPtoVta> buscarPorConexionConf(ConexionRutaConf conexionRutaConf) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq("conexionRutaConf", conexionRutaConf));
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		return c.list();
	}

}
